﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string filename = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.xlsx");
            this.ultraGridExcelExporter1.Export(this.ultraGrid1, filename);
            Process.Start(filename);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var layout = e.Layout;
            var band = layout.Bands[0];

            band.Summaries.Add(
                SummaryType.Custom, 
                new MySummaryCalculator(), 
                band.Columns[0], 
                SummaryPosition.UseSummaryPositionColumn, 
                band.Columns[0]);
        }

        public class MySummaryCalculator : ICustomSummaryCalculator
        {
            void ICustomSummaryCalculator.AggregateCustomSummary(SummarySettings summarySettings, UltraGridRow row)
            {
                
            }

            void ICustomSummaryCalculator.BeginCustomSummary(SummarySettings summarySettings, RowsCollection rows)
            {
            }

            object ICustomSummaryCalculator.EndCustomSummary(SummarySettings summarySettings, RowsCollection rows)
            {
                return "Correct";
            }
        }
    }
}
